import { AbstractRepository } from '@crosslab/service-common';
import { institutionUrlFromId } from '../../methods/utils.js';
import { InstitutionModel } from '../model.js';
export class InstitutionRepository extends AbstractRepository {
    dependencies = {};
    constructor() {
        super('Institution');
    }
    dependenciesMet() {
        return true;
    }
    initialize(entityManager) {
        this.repository = entityManager.getRepository(InstitutionModel);
    }
    async write(model, data) {
        if (data.api)
            model.api = data.api;
        if (data.name)
            model.name = data.name;
        if (data.homepage)
            model.homepage = data.homepage;
        if (data.apiToken)
            model.apiToken = data.apiToken;
    }
    async format(model) {
        return {
            url: institutionUrlFromId(model.uuid),
            api: model.api,
            name: model.name,
            homepage: model.homepage,
        };
    }
}
//# sourceMappingURL=institution.js.map